--- a/xpp/xtalk/debug.c
+++ b/xpp/xtalk/debug.c
@@ -26,7 +26,9 @@
 #include <stdlib.h>
 #include <stdarg.h>
 #include <syslog.h>
+#ifdef HAVE_EXECINFO_H
 #include <execinfo.h>
+#endif
 #include <xtalk/debug.h>
 #include <autoconfig.h>
 
@@ -61,6 +63,7 @@ void dump_packet(int loglevel, int mask,
 /* from glibc info(1) */
 void print_backtrace(FILE *fp)
 {
+#ifdef HAVE_EXECINFO_H
 	void	*array[10];
 	size_t	size;
 	char	**strings;
@@ -71,4 +74,5 @@ void print_backtrace(FILE *fp)
 	for (i = 0; i < size; i++)
 		fprintf(fp, "%s\n", strings[i]);
 	free(strings);
+#endif
 }
--- a/configure.ac
+++ b/configure.ac
@@ -161,6 +161,7 @@ AC_SUBST(DAHDI_DECLARATION_AFTER_STATEME
 # Checks for header files.
 AC_CHECK_HEADERS([sys/soundcard.h linux/soundcard.h])
 AC_CHECK_HEADERS([arpa/inet.h fcntl.h limits.h netinet/in.h stdint.h stdlib.h string.h sys/ioctl.h sys/param.h sys/socket.h sys/time.h syslog.h unistd.h])
+AC_CHECK_HEADERS([execinfo.h])
 
 # Checks for typedefs, structures, and compiler characteristics.
 AC_C_INLINE
